diff --git a/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRobustnessIT.java b/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRobustnessIT.java
index 459f2e9e56844..9d069eb5f9366 100644
--- a/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRobustnessIT.java
+++ b/x-pack/plugin/transform/qa/single-node-tests/src/test/java/org/elasticsearch/xpack/transform/integration/TransformRobustnessIT.java
@@ -90,6 +90,9 @@ public void testTaskRemovalAfterInternalIndexGotDeleted() throws Exception {
 
         // the task is gone
         assertEquals(0, getNumberOfTransformTasks());
+
+        // delete the transform because the task might have written a state doc, cleanup fails if the index isn't empty
+        deleteTransform(transformId);
     }
 
     @SuppressWarnings("unchecked")
